Bug 145355 - Man pages for fstab and fstab-sync in conflict.
Summary: Man pages for fstab and fstab-sync in conflict.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-17 18:42 UTC by Garrett Schure
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-04 13:04:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Garrett Schure 2005-01-17 18:42:17 UTC
Description of problem:

The man pages for fstab and fstab-sync contain information that
is in conflict. 

The man page for fstab says this:

  fstab is only read by programs, and not written; it  is  the duty
  of the system administrator to properly create and maintain this
  file.

The man page for fstab-sync says this:
 
  This program serves one major purpose: Update the file  systems
  table file /etc/fstab

That is, fstab-sync does something that the man page for fstab
says is never done: it is a program that writes /etc/fstab.

Either 

1. fstab-sync is terribly terribly wrong in what it does and how it
operates, or

2. The man page for fstab has become out of date.

Comment 1 David Zeuthen 2005-01-20 19:06:46 UTC
I'm pretty sure that the fstab man page is out of date and what
fstab-sync is doing (and what updfstab used to do) is not totally
wrong. Reassigning back to filesystem and it's package maintainer :-)

Comment 2 Bill Nottingham 2005-01-20 19:35:01 UTC
fstab man page is part of util-linux.


Note You need to log in before you can comment on or make changes to this bug.